=== src/CMakeLists.txt ===
set(KCOLORPICKER_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/KColorPicker.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/PopupMenu.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/IconCreator.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/AbstractPopupMenuButton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorButton.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorDialogButton.cpp
        )

set(KCOLORPICKER_SRCS ${KCOLORPICKER_SRCS} PARENT_SCOPE)
