## kcolorpicker 0.1.4

=== debian/changelog ===
kcolorpicker (0.1.4-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Dec 2020 15:56:43 -0800

kcolorpicker (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 4.5.1.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Dec 2020 14:46:39 -0500

kcolorpicker (0.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jun 2020 11:01:07 -0400

kcolorpicker (0.1.1-3) unstable; urgency=high

  * debian/control: Add missing build-dependency from dev package
    to library package.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 14:48:13 -0400

kcolorpicker (0.1.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 14:06:21 -0400

kcolorpicker (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #955296)

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Mar 2020 10:08:44 -0400
