=== debian/control ===
Source: kcolorpicker
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 12),
               qtbase5-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ksnip/kcolorpicker
Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker

Package: libkcolorpicker-dev
Architecture: any
Multi-Arch: same
Depends: libkcolorpicker0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libkcolorpicker
Description: QToolButton-like widget with color selection popup menu (dev)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the development files.

Package: libkcolorpicker0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkcolorpicker
Replaces: libkcolorpicker
Description: QToolButton-like widget with color selection popup menu (lib)
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.
 .
 This package provides the shared library.
