## kcolorpicker 0.1.5~git20201226

=== debian/changelog ===
kcolorpicker (0.1.5~git20201226-1) unstable; urgency=medium

  * Upstream git trunk version (2020-12-26).
    + Contains unified SONAME.
  * debian/libkcolorpicker0.shlibs: Add a shlibs file.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 21:35:51 -0500
