=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        -DBUILD_SHARED_LIBS=ON
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
