=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kcolorpicker-$1.tar.gz%" \
 https://github.com/ksnip/kcolorpicker/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
