## kcolorpicker 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kColorPicker LANGUAGES CXX VERSION 0.1.5)
+project(kColorPicker LANGUAGES CXX VERSION 0.1.6)
 
 set(QT_MIN_VERSION "5.9.4")
 
@@ -17,6 +17,8 @@
 
 include(GNUInstallDirs)
 include(FeatureSummary)
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 add_subdirectory(src)
