=== debian/changelog ===
kcolorpicker (0.1.6-2) unstable; urgency=medium

  * debian/watch: Fix uscan grammar.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:31:00 -0500

kcolorpicker (0.1.6-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 14:21:22 -0400

kcolorpicker (0.1.6-1~exp1) experimental; urgency=medium

  * New upstream stable release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 11:45:32 -0400

kcolorpicker (0.1.5-1~exp1) experimental; urgency=medium

  * New upstream stable release.
  * debian/rules: Remove --as-needed linker flag, no longer needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Mar 2021 09:49:51 -0400
