=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 3.5),
+ cmake,
  qtbase5-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
