## kcolorpicker 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kColorPicker LANGUAGES CXX VERSION 0.1.6)
+project(kColorPicker LANGUAGES CXX VERSION 0.2.0)
 
 set(QT_MIN_VERSION "5.9.4")
