=== example/CMakeLists.txt ===
add_executable(kColorPicker-example main.cpp)

target_link_libraries(kColorPicker-example kColorPicker)
