=== debian/changelog ===
kcolorpicker (0.2.0-1~bpo11+1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 08 Jan 2024 14:20:18 -0800

kcolorpicker (0.2.0-1~bpo11+1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 08 Jan 2024 14:15:43 -0800

kcolorpicker (0.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 18:09:13 -0400

kcolorpicker (0.2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 May 2022 00:00:03 -0400

kcolorpicker (0.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/libkcolorpicker0.shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 15:54:36 -0400

kcolorpicker (0.1.6-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Nov 2021 09:49:36 -0500

kcolorpicker (0.1.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Aug 2021 08:58:59 -0400
