=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kcolorpicker
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  qtbase5-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/ksnip/kcolorpicker
 Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
 Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker
