=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -DBUILD_SHARED_LIBS=ON
+	        -DBUILD_SHARED_LIBS=ON \
+	        $(NULL)
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
