=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/AbstractPopupMenuButton.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorButton.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/buttons/ColorDialogButton.cpp
+        ${CMAKE_CURRENT_SOURCE_DIR}/common/ScaledSizeProvider.cpp
         )
 
 set(KCOLORPICKER_SRCS ${KCOLORPICKER_SRCS} PARENT_SCOPE)
