=== debian/changelog ===
kcolorpicker (0.3.1-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1096918)
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Move package description to the source package
    section.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:52:43 -0400

kcolorpicker (0.3.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:25:54 -0400

kcolorpicker (0.3.1-1~exp2) experimental; urgency=medium

  * debian/control: Put package under Debian KDE Extras Team maintenance.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 21:55:46 -0400

kcolorpicker (0.3.1-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Support both Qt5 and Qt6.
  * debian/: Split packages:
    + libkcolorpicker-qt5-dev
    + libkcolorpicker-qt5-0
    + libkcolorpicker-qt6-dev
    + libkcolorpicker-qt6-0
  * debian/patches/0001-Make-Qt5-Qt6-library-coinstallable.patch:
    Add patch to adjust proposed library name changes to make library
    co-installable.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2024 15:03:25 -0400
