=== debian/control ===
Source: kcolorpicker
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 qtbase5-dev,
 qt6-base-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/ksnip/kcolorpicker
Vcs-Git: https://salsa.debian.org/debian/kcolorpicker.git
Vcs-Browser: https://salsa.debian.org/debian/kcolorpicker
Description: QToolButton-like widget with color selection popup menu
 The kColorPicker library provides a QToolButton-like widget with color
 selection popup menu. This library is used by the ksnip project.

Package: libkcolorpicker-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkcolorpicker-qt5-0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (Qt5 dev)
 ${source:Extended-Description}
 .
 This package provides the development files for Qt5.

Package: libkcolorpicker-qt5-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Qt5 lib)
 ${source:Extended-Description}
 .
 This package provides the shared library for Qt5.

Package: libkcolorpicker-qt6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkcolorpicker-qt6-0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 dev)
 ${source:Extended-Description}
 .
 This package provides the development files for Qt6.

Package: libkcolorpicker-qt6-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Qt6 lib)
 ${source:Extended-Description}
 .
 This package provides the shared library for Qt6.
