=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,22 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
-
-
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-	        -DBUILD_SHARED_LIBS=ON \
-	        $(NULL)
+	dh_auto_configure --builddirectory=qt5 -- -DBUILD_SHARED_LIBS=ON -DBUILD_WITH_QT6=OFF
+	dh_auto_configure --builddirectory=qt6 -- -DBUILD_SHARED_LIBS=ON -DBUILD_WITH_QT6=ON
 
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
+override_dh_auto_build:
+	dh_auto_build --builddirectory=qt5
+	dh_auto_build --builddirectory=qt6
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=qt5
+	dh_auto_install --builddirectory=qt6
+
+override_dh_auto_test:
+	dh_auto_test --builddirectory=qt5
+	dh_auto_test --builddirectory=qt6
+
